#!/bin/sh

#
# casovy-vyvoj-v_drift-T.sh
#
# Developed by Lubomir Host 'rajo' <rajo AT platon.sk>
# Copyright (c) 2003 Platon SDG
# Licensed under terms of GNU General Public License.
# All rights reserved.
#

# $Platon: doc/diplomova-praca-rajo/scripts/casovy-vyvoj-v_drift-start_speed.sh,v 1.2 2004/03/16 19:51:04 rajo Exp $

# uncomment if program doesn't run
#export LD_LIBRARY_PATH=$HOME/dipl/lib

# number of particles
N=5e5

lam="3e-7"
#acc="1e8 1e7 1e6 1e5"
temperature="300"
#energy_ratio="0.002 0.005 0.01 0.02 0.05 0.1 0.2 0.5 1 2 5 10 20 50 100 200 500 1000 2000 5000 10000"
#beta_values="1.0 0.1  0.3  0.5  0.7  1.2  1.5"
#speeds="0.3 0.6 0.798 1 1.2 3 5 10"
#energy_ratio="              100 50 10    1"
#energy_ratio="$energy_ratio 0.7    0.5    0.3    0.2    0.14    0.1"
#energy_ratio="$energy_ratio 0.07   0.05   0.03   0.02   0.014   0.01"
#energy_ratio="$energy_ratio 0.007  0.005  0.003  0.002  0.0014  0.001"
#energy_ratio="$energy_ratio 0.0007 0.0005 0.0003 0.0002 0.00014 0.0001"
energy_ratio="        1000 500  100 50 20 10 5 2 1"
energy_ratio="$energy_ratio    0.5      0.4  0.3  0.2      0.1"
energy_ratio="$energy_ratio   0.11     0.12    0.12   0.14   0.15"
energy_ratio="$energy_ratio   0.09     0.08    0.07   0.06"
energy_ratio="$energy_ratio   0.05     0.04    0.03   0.02    0.01"
energy_ratio="$energy_ratio  0.007    0.005   0.002   0.001"
#energy_ratio="$energy_ratio 0.0005 0.0002 0.0001"
beta_values="0"
#beta_values="1.0"
#beta_values="0.25 0.2 0.15 0.1 0.05"
#speeds="0.6 1.2 5.0" # 0.798
speeds="0 0.6 0.798 1 1.2 0.3" # 0.798

for lambda in $lam; do
	#directory="helium/tep-rychlost-start-speed/lambda=$lambda";
	#directory="tep-rychlost";
	#mkdir -p "$directory";

	for temp in $temperature; do
#		for acceleration in $acc; do
		for start_speed in $speeds; do
			for beta in $beta_values; do
				directory="tep-rychlost-x2_exp_x2-model/speed-${start_speed}";
				mkdir -p "$directory";
				
				for alpha in $energy_ratio; do
					#file="$directory/N=${N}_a=${acceleration}_T=${temp}.dat"
					file="$directory/N-${N}_T-${temp}_alpha-${alpha}_beta-${beta}_speed-${start_speed}.dat"
    
					date=`date '+[%x] %X'`
					echo "----------------- $date ------------------------"
					#echo "Drift: T = $temp	lambda=$lambda	acceleration=$acceleration"
					echo "Drift: T = $temp	alpha=${alpha}	beta=${beta}	speed=${start_speed}"
					echo "Output is '$file'"
					echo "## BEGIN `date`" > "$file"
					time ./hotGas-drift \
					N=$N \
					time=8.0 \
					d_time=0.01 \
					T=$temp \
					lambda=$lambda \
					alpha=$alpha \
					beta=$beta \
					u=$start_speed \
					a=$acceleration >> "$file"
					[ $? -ne 0 ] && exit
					echo "================================================================"
					echo "## END `date`" >> "$file"
				done
			done
		done
	done
done


# vim600: fdm=marker fdl=0 fdc=3

