#!/bin/sh

#
# distribucne-funkcie-start-speed.sh
#
# Developed by Lubomir Host 'rajo' <rajo AT platon.sk>
# Copyright (c) 2003 Platon SDG
# Licensed under terms of GNU General Public License.
# All rights reserved.
#
# Changelog:
# 17/04/2003 - created
#

# $Platon: doc/diplomova-praca-rajo/scripts/distribucne-funkcie-start-speed.sh,v 1.1 2003/07/24 17:50:08 rajo Exp $

# uncomment if program doesn't run
#export LD_LIBRARY_PATH=$HOME/dipl/lib

# number of particles
N=5e5

lam="3e-7"
#acc="1e8 1e7 1e6 1e5"
temperature="300"
#energy_ratio="0.001 0.002 0.005 0.01 0.02 0.05 0.1 0.2 0.5 1 2 5 10 20 50 100 200 500 1000 2000 5000 10000"
#beta_values="0.1  0.3  0.5  0.7  1.0  1.2  1.5"
#speeds="0.3 0.6 0.798 1 1.2 3 5 10"
energy_ratio="            100 50 20 10 5 2 1"
energy_ratio="$energy_ratio    0.5      0.4  0.3  0.2      0.1"
energy_ratio="$energy_ratio   0.11     0.12    0.12   0.14   0.15"
energy_ratio="$energy_ratio   0.09     0.08    0.07   0.06"
energy_ratio="$energy_ratio   0.05     0.04    0.03   0.02    0.01"
energy_ratio="$energy_ratio  0.007    0.005   0.002   0.001"
beta_values="0"
#speeds="0 0.6 0.798 1 1.2 0.3" # 0.798
speeds="0.798 1 1.2 0.3" # 0.798

for lambda in $lam; do

	for temp in $temperature; do
#		for acceleration in $acc; do
		for start_speed in $speeds; do
			for alpha in $energy_ratio; do
				for beta in $beta_values; do
					directory="distrib-func-x2_exp_x2-model/speed-${start_speed}";
					mkdir -p "$directory";

					#file="$directory/N=${N}_a=${acceleration}_T=${temp}.dat"
					file="$directory/distrib-N-${N}_T-${temp}_alpha-${alpha}_beta-${beta}_speed-${start_speed}.dat"
    
					date=`date '+[%x] %X'`
					echo "----------------- $date ------------------------"
					#echo "Drift: T = $temp	lambda=$lambda	acceleration=$acceleration"
					echo "Drift: T = $temp	alpha=${alpha}	beta=${beta}	speed=${start_speed}"
					echo "Output is '$file'"
					echo "## BEGIN `date`" > "$file"
					time ./hotGas-distrib \
					N=$N \
					time=8.0 \
					d_time=0.01 \
					output_step=2 \
					Nx=500 \
					T=$temp \
					lambda=$lambda \
					alpha=$alpha \
					beta=$beta \
					u=$start_speed \
					a=$acceleration >> "$file"
					[ $? -ne 0 ] && exit
					echo "=============================================================="
					echo "## END `date`" >> "$file"
				done
			done
		done
	done
done


# vim600: fdm=marker fdl=0 fdc=3

